# Injector

Property in [YarnParameterAttribute](/2.2/api/csharp/yarn.unity/yarn.unity.yarnparameterattribute.md)

## Summary

The custom injector for this parameter.

```csharp
public string Injector { get; set; }
```

## Remarks

Similar to [Injector](/2.2/api/csharp/yarn.unity/yarn.unity.yarncommandattribute/yarn.unity.yarncommandattribute.injector.md) .

If this is not defined on a parameter, or if the injector is not static or doesn't exist, or returns a type that is not assignable to the parameter's type, then it will be use the default method, which is to search for the game object name, and search for the target component type on that object.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.2/api/csharp/yarn.unity/yarn.unity.yarnparameterattribute/yarn.unity.yarnparameterattribute.injector.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
